Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 05-06-2019 11:15:35

Walt Dod
Membre
Inscription : 05-06-2019

installer Discord avec Knoppix 8.2

Bonjour,
je galère pour installer discord avec Knoppix 8.2
il semble que le problème vienne du fait que discord est prévu pour amd64 alors que ma machine est i386

root@Microknoppix:/home/knoppix/Discord# sudo dpkg -i discord-0.0.9.deb
(Lecture de la base de données... 468329 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de discord-0.0.9.deb ...
Dépaquetage de discord:amd64 (0.0.9) sur (0.0.9) ...
dpkg: des problèmes de dépendances empêchent la configuration de discord:amd64 :
 discord:amd64 dépend de libc6.
 discord:amd64 dépend de libasound2.
 discord:amd64 dépend de libatomic1.
 discord:amd64 dépend de libgconf-2-4.
 discord:amd64 dépend de libnotify4.
 discord:amd64 dépend de libnspr4.
 discord:amd64 dépend de libnss3.
 discord:amd64 dépend de libstdc++6.
 discord:amd64 dépend de libxss1.
 discord:amd64 dépend de libxtst6.
 discord:amd64 dépend de libappindicator1.
 discord:amd64 dépend de libc++1.

dpkg: erreur de traitement du paquet discord:amd64 (--install) :
 problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23-2) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-9) ...
Traitement des actions différées (« triggers ») pour mime-support (3.60) ...
Des erreurs ont été rencontrées pendant l'exécution :
 discord:amd64
 



j'ai installé les dépendance mentionnées

root@Microknoppix:/home/knoppix/Discord# apt policy libc6 libasound2 libatomic1 libgconf-2-4 libnotify4 libnspr4 libnss3 libstdc++6 libxss1 libxtst6 libappindicator1 libc++1
libc6:
  Installé : 2.27-3
  Candidat : 2.28-10
 Table de version :
     2.28-10 500
        500 http://ftp.de.debian.org/debian testing/main i386 Packages
        500 http://ftp.de.debian.org/debian unstable/main i386 Packages
 *** 2.27-3 100
        100 /UNIONFS/var/lib/dpkg/status
     2.24-11+deb9u4 990
        990 http://ftp.de.debian.org/debian stable/main i386 Packages
     2.24-11+deb9u1 990
        990 http://security.debian.org stable/updates/main i386 Packages
libasound2:
  Installé : 1.1.3-5
  Candidat : 1.1.3-5
 Table de version :
     1.1.8-1 500
        500 http://ftp.de.debian.org/debian testing/main i386 Packages
        500 http://ftp.de.debian.org/debian unstable/main i386 Packages
 *** 1.1.3-5 990
        990 http://ftp.de.debian.org/debian stable/main i386 Packages
        100 /UNIONFS/var/lib/dpkg/status
libatomic1:
  Installé : 8-20180207-2
  Candidat : 8.3.0-7
 Table de version :
     9.1.0-2 1
          1 http://ftp.de.debian.org/debian experimental/main i386 Packages
     8.3.0-7 500
        500 http://ftp.de.debian.org/debian unstable/main i386 Packages
     8.3.0-6 500
        500 http://ftp.de.debian.org/debian testing/main i386 Packages
 *** 8-20180207-2 100
        100 /UNIONFS/var/lib/dpkg/status
     6.3.0-18+deb9u1 990
        990 http://ftp.de.debian.org/debian stable/main i386 Packages
        990 http://security.debian.org stable/updates/main i386 Packages
libgconf-2-4:
  Installé : 3.2.6-4+b1
  Candidat : 3.2.6-4+b1
 Table de version :
     3.2.6-5 500
        500 http://ftp.de.debian.org/debian testing/main i386 Packages
        500 http://ftp.de.debian.org/debian unstable/main i386 Packages
 *** 3.2.6-4+b1 990
        990 http://ftp.de.debian.org/debian stable/main i386 Packages
        100 /UNIONFS/var/lib/dpkg/status
libnotify4:
  Installé : 0.7.7-3
  Candidat : 0.7.7-4
 Table de version :
     0.7.7-4 500
        500 http://ftp.de.debian.org/debian testing/main i386 Packages
        500 http://ftp.de.debian.org/debian unstable/main i386 Packages
 *** 0.7.7-3 100
        100 /UNIONFS/var/lib/dpkg/status
     0.7.7-2 990
        990 http://ftp.de.debian.org/debian stable/main i386 Packages
libnspr4:
  Installé : 2:4.19-1
  Candidat : 2:4.21-1
 Table de version :
     2:4.21-1 500
        500 http://ftp.de.debian.org/debian unstable/main i386 Packages
     2:4.20-1 500
        500 http://ftp.de.debian.org/debian testing/main i386 Packages
 *** 2:4.19-1 100
        100 /UNIONFS/var/lib/dpkg/status
     2:4.12-6 990
        990 http://ftp.de.debian.org/debian stable/main i386 Packages
libnss3:
  Installé : 2:3.35-2
  Candidat : 2:3.44+really3.42.1-1
 Table de version :
     2:3.44.0-1 1
          1 http://ftp.de.debian.org/debian experimental/main i386 Packages
     2:3.44+really3.42.1-1 500
        500 http://ftp.de.debian.org/debian unstable/main i386 Packages
     2:3.42.1-1 500
        500 http://ftp.de.debian.org/debian testing/main i386 Packages
 *** 2:3.35-2 100
        100 /UNIONFS/var/lib/dpkg/status
     2:3.26.2-1.1+deb9u1 990
        990 http://ftp.de.debian.org/debian stable/main i386 Packages
        990 http://security.debian.org stable/updates/main i386 Packages
libstdc++6:
  Installé : 8-20180207-2
  Candidat : 8.3.0-7
 Table de version :
     9.1.0-2 1
          1 http://ftp.de.debian.org/debian experimental/main i386 Packages
     8.3.0-7 500
        500 http://ftp.de.debian.org/debian unstable/main i386 Packages
     8.3.0-6 500
        500 http://ftp.de.debian.org/debian testing/main i386 Packages
 *** 8-20180207-2 100
        100 /UNIONFS/var/lib/dpkg/status
     6.3.0-18+deb9u1 990
        990 http://ftp.de.debian.org/debian stable/main i386 Packages
        990 http://security.debian.org stable/updates/main i386 Packages
libxss1:
  Installé : 1:1.2.2-1+b2
  Candidat : 1:1.2.3-1
 Table de version :
     1:1.2.3-1 500
        500 http://ftp.de.debian.org/debian testing/main i386 Packages
        500 http://ftp.de.debian.org/debian unstable/main i386 Packages
 *** 1:1.2.2-1+b2 100
        100 /UNIONFS/var/lib/dpkg/status
     1:1.2.2-1 990
        990 http://ftp.de.debian.org/debian stable/main i386 Packages
libxtst6:
  Installé : 2:1.2.3-1
  Candidat : 2:1.2.3-1
 Table de version :
 *** 2:1.2.3-1 990
        990 http://ftp.de.debian.org/debian stable/main i386 Packages
        500 http://ftp.de.debian.org/debian testing/main i386 Packages
        500 http://ftp.de.debian.org/debian unstable/main i386 Packages
        100 /UNIONFS/var/lib/dpkg/status
libappindicator1:
  Installé : 0.4.92-4
  Candidat : 0.4.92-4
 Table de version :
     0.4.92-7 500
        500 http://ftp.de.debian.org/debian testing/main i386 Packages
        500 http://ftp.de.debian.org/debian unstable/main i386 Packages
 *** 0.4.92-4 990
        990 http://ftp.de.debian.org/debian stable/main i386 Packages
        100 /UNIONFS/var/lib/dpkg/status
libc++1:
  Installé : 3.5-2
  Candidat : 3.5-2
 Table de version :
     1:8.0-48~exp1 1
          1 http://ftp.de.debian.org/debian experimental/main i386 Packages
     1:7.0-47.1 500
        500 http://ftp.de.debian.org/debian unstable/main i386 Packages
     1:7.0-47 500
        500 http://ftp.de.debian.org/debian testing/main i386 Packages
 *** 3.5-2 990
        990 http://ftp.de.debian.org/debian stable/main i386 Packages
        100 /UNIONFS/var/lib/dpkg/status
root@Microknoppix:/home/knoppix/Discord#



ce qui n'empêche pas le même message d'apparaître à chaque fois


j'ai essayé aussi avec Synaptic
purple discord 09.2019.02.07.git et samblaster 01.24-2 sont installés
il demande l'installation de python3-harmony, la dernière version mentionnée sur synaptic est 0.5.0-1
quand j'essaye de l'installer, il me répond:

python3-harmony:
 Dépend : python3-librecaptcha mais ne doit pas être installé
  Dépend : python3-requests (>=2.18.1~) mais 2.12.4-1 doit être installé
 



bref, je galère,
merci de votre aide
Walt

Hors ligne

#2 05-06-2019 13:41:51

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : installer Discord avec Knoppix 8.2

Bonjour,
Si c’est un paquet prévu pour amd64, tu ne pourras pas l’installer sur un système i386

Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

Pied de page des forums